!-----------------------------------------------------------------------------
! Magic And Fight System --- knowledge
! For INFORM compiler and Z-Machine text based Adventure games
!-----------------------------------------------------------------------------
!  Author: Giancarlo Niccolai
!  Version: $Id: MFS_Knowledge.h,v 1.1 2003/09/12 17:41:57 gian Exp $
!  Contact author at: giancarlo@niccolai.ws
!  Feel free to use and distribute this file, but please report me if
!  you intend to change it (in better), so we can upgrade together
!
!  Released under GPL 2.0, or any later version at your will
!
!-----------------------------------------------------------------------------
! Knowledge - A class to store the working of things you may know.
!             Like spells or tales.
!-----------------------------------------------------------------------------

Ifndef Knowledge;

!-------------------------------------------------------
! This attribute will be given to known things only if
! the player have been somewhat in contact with the spell,
! or if he knows how to use a certain magical device.
!
Attribute known_about;

Class Knowledge
with
   explain;

[ExplainSub;
   noun.explain();
];

!-------------------------------------------------------------------
! Tells if a History is in known, and therefore referenced by player
!
[KnownAbout obj;
	switch(scope_stage) {
		1: rfalse;
		2: objectloop(obj ofclass Knowledge && obj has known_about)
				PlaceInScope(obj);
			rtrue;
		3: print "Non conosco questo argomento.^";
	}
];

Endif;

